# Conditional build:
%bcond_with	tests	# unit tests

%define		module	pytest_codspeed
Summary:	Pytest plugin to create CodSpeed benchmarks
# Name must match the python module/package name (as on pypi or in 'import' statement)
Name:		python3-%{module}
Version:	3.2.0
Release:	6
License:	MIT
Group:		Libraries/Python
Source0:	https://pypi.debian.net/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	1af7148ae89f3820b3a3778312ff3b60
Patch0:		noarchlimit.patch
URL:		https://pypi.org/project/pytest-codspeed/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.2
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.2
BuildRequires:	valgrind
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Creating benchmarks with pytest-codspeed is compatible with the
standard pytest-benchmark API. So if you already have benchmarks
written with it, you can start using pytest-codspeed right away.

%prep
%setup -q -n %{module}-%{version}
%patch -P0 -p1

%build
PYTEST_CODSPEED_FORCE_EXTENSION_BUILD=1; export PYTEST_CODSPEED_FORCE_EXTENSION_BUILD
%py3_build_pyproject

%if %{with tests}
%{__python} -m zipfile -e build-3/*.whl build-3-test
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest -o pythonpath="$PWD/build-3-test" tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/py.typed
%{py3_sitedir}/%{module}/__pycache__
%dir %{py3_sitedir}/%{module}/instruments
%{py3_sitedir}/%{module}/instruments/*.py
%{py3_sitedir}/%{module}/instruments/__pycache__
%dir %{py3_sitedir}/%{module}/instruments/valgrind
%{py3_sitedir}/%{module}/instruments/valgrind/*.py
%{py3_sitedir}/%{module}/instruments/valgrind/__pycache__
%dir %{py3_sitedir}/%{module}/instruments/valgrind/_wrapper
%{py3_sitedir}/%{module}/instruments/valgrind/_wrapper/__pycache__
%{py3_sitedir}/%{module}/instruments/valgrind/_wrapper/*.py
%{py3_sitedir}/%{module}/instruments/valgrind/_wrapper/*.[chi]
%{py3_sitedir}/%{module}/instruments/valgrind/_wrapper/*.pyi
%attr(755,root,root) %{py3_sitedir}/%{module}/instruments/valgrind/_wrapper/*.so
%{py3_sitedir}/%{module}-%{version}.dist-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest_codspeed.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 926826e
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> ce23a82
- python 3.13 rebuild

* Thu Feb 27 2025 Jan Rękorajski <baggins@pld-linux.org> 956d313
- package owned dir, rel 4

* Mon Feb 24 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e8aeb3
- Always build extension, regardless of arch

* Mon Feb 24 2025 Jan Rękorajski <baggins@pld-linux.org> 08bfeb2
- drop noarch hack

* Mon Feb 24 2025 Jan Rękorajski <baggins@pld-linux.org> d012d2a
- BR valgrind, it's arch dependent on x32

* Mon Feb 24 2025 Jan Rękorajski <baggins@pld-linux.org> e286bd7
- disable tests (missing conftest)
- package full __pycache__ dirs
- rel 3

* Mon Feb 17 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> d819a9a
- Rel 3; noarch on everything beside x86_64

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 0fea7a5
- Initial

